ranges::actions::slice_fn Struct Reference

## Synopsis of methods

constexpr slice_fn | slice {}

## Public Member Functions

template<typename D >
constexpr auto | operator() (D from, D to) const requires integral< D >
template<typename D >
constexpr auto | operator() (D from, detail::from_end_< D > to) const requires integral< D >
template<typename D >
constexpr auto | operator() (detail::from_end_< D > from, detail::from_end_< D > to) const requires integral< D >
template<typename D >
constexpr auto | operator() (D from, end_fn const &to) const requires integral< D >
template<typename D >
constexpr auto | operator() (detail::from_end_< D > from, end_fn const &to) const requires integral< D >
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng, diff_t< Rng > from, diff_t< Rng > to) const -> Rng requires forward_range< Rng > &&erasable_range< Rng &, I, I >
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng, diff_t< Rng > from, detail::from_end_< diff_t< Rng >> to) const -> Rng requires bidirectional_range< Rng > &&erasable_range< Rng &, I, I >
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng, detail::from_end_< diff_t< Rng >> from, detail::from_end_< diff_t< Rng >> to) const -> Rng requires bidirectional_range< Rng > &&erasable_range< Rng &, I, I >
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng, diff_t< Rng > from, end_fn const &) const -> Rng requires forward_range< Rng > &&erasable_range< Rng &, I, I >
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng, detail::from_end_< diff_t< Rng >> from, end_fn const &) const -> Rng requires bidirectional_range< Rng > &&erasable_range< Rng &, I, I >

## Methods

## slice

constexpr slice_fn slice {}

related